html, body {
    height: 100%;
}

@font-face {
    font-family: "Roboto";
    src: url('../fonts/Roboto-Regular.ttf')
}

:root {
    --bs-font-sans-serif: "Roboto", "Helvetica Neue", "-apple-system", "BlinkMacSystemFont", "Arial", "Noto Sans", "sans-serif", "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
}

/*Makes scrollbar visible in reports*/
.dxbrv-wrapper {
    --dxbrv-light-color: #f1f1f1 !important;
    --dxbrv-gray-color: #c1c1c1 !important;
}

body {
    overflow-y: hidden;
}

app {
    display: block;
    height: 100%;
}

#blazor-error-ui {
    background: inherit;
    bottom: 0;
    display: none;
    position: fixed;
    width: 100%;
    height: 100%;
    z-index: 100001;
}

.disable-mouseclick {
    pointer-events: none
}

.tab-loader {
    border: .25rem solid #f2f2f2;
    border-top: .25rem solid #0085AD;
    border-radius: 50%;
    width: .95rem;
    height: .95rem;
    animation: spin 2s linear infinite;
    z-index: 1000;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.PdfActionsToolBarCss {
    position: sticky !important;
    top: 0;
    background-color: white;
}

/*fix darker disabled elements*/
.dxbl-text-edit:has( > .dxbl-btn-group > .dxbl-btn[disabled]) {
    --dxbl-text-edit-readonly-root-bg: #f2f2f2;
    --dxbl-text-edit-btn-disabled-bg: #f2f2f2;
}

/*fix darker disabled elements*/
.dxbl-text-edit.dxbl-readonly:not(:has( > .dxbl-btn-group)) {
    --dxbl-text-edit-readonly-root-bg: #f2f2f2;
}

.card-header {
    padding: 0.1rem;
}

.BenefitNotesCssOuterAdapter {
    width:775px !important;
}
/*Same font style as in reports*/
.BenefitNotesTextAreaCss {
    font-family: 'Courier New', monospace !important;
    font-size: 16.0px !important;
    font-weight: 400 !important;
    color: #212529;
    overflow-y: hidden !important;
}

.BenefitNotesPropertyEditorCss {
    overflow-x: auto !important;
    min-height: 12rem !important;
}

    .BenefitNotesPropertyEditorCss > .dxbl-fl-ctrl > .xaf-validation-message-container > #Notes {
        width: 775px !important;
    }

    .BenefitNotesPropertyEditorCss > .dxbl-fl-ctrl > .xaf-validation-message-container > #FormattedSelectedNotes {
        width: 775px !important;
    }

.SelectionFooterSummaryCss {
    position: static !important;
    background-color: #f9f9f9 !important;
}

    .SelectionFooterSummaryCss div {
        color: #0085AD !important;
        position: absolute;
        top: 5px;
        left: 5px;
    }

.dxbl-grid-footer-row {
    background-color: #f9f9f9 !important;
}

.dxbl-grid-header-indent-cell {
    background-color: #fff !important;
}

.DxGridLayoutStyle {
    height: 42rem;
    margin-top: 0.1rem;
}
/*UVLOGOWHITE*/
.header-logo {
    flex-shrink: 0 !important;
    background-image: url('../images/UVSplashScreen.png') !important;
    background-size: contain !important;
    background-repeat: no-repeat !important;
    background-position: center !important;
    width: 180px !important;
    height: 44px !important;
}

/*COLUMN SEARCH HEADER*/
.dxbs-fixed-header-content > a, .dxbs-fixed-header-content > a:hover, .dxbs-fixed-header-content > a:focus {
    color: #4B4F54 !important;
    text-transform: uppercase !important;
    font-size: .85em !important;
    font-weight: 700 !important;
}

/*TABS*/
.dxbs-tabs ul.nav > li > a:not([disabled]) {
    font-size: .85rem !important;
}

/*Property captions*/
.col-form-label {
    color: #62676e !important;
    font-size: .9rem !important;
}

.logo-container {
    background-color: #e8e8e8e8
}


.dxbl-btn-group:not(dxbl-pager) > .dxbl-btn > span {
    color: #0085AD !important;
}

.dxbl-btn-group:not(dxbl-pager) > .dxbl-btn {
    background-color: #fff;
    border-color: #ced4da;
}

.dxbl-btn-group > .dxbl-btn.dxbl-btn-primary:hover {
    background-color: #e9eaea !important;
    border-color: #ced4da;
    --dxbl-btn-hover-background: #e9eaea !important;
}

.xaf-action > .xaf-image {
    color: #D27614;
}
/*Alert logo color*/
.xaf-alert > .xaf-image {
    color: #fff !important;
}

.xaf-object-caption {
    color: #0085AD;
}

.xaf-alert-action-container > button > .xaf-image {
    color: #fff !important;
}

.log-off:hover {
    color: #212529;
    background-color: #ececec;
    border-color: #e6e6e6;
}


.DcaseHeaders {
    font-size: 1rem;
    font-weight: 700;
    text-align: center;
}

.DcaseNACenter {
    text-align: center;
}

.BoldLarge {
    font-size: 1.1rem;
    font-weight: 800;
}

.BoldMedium {
    font-size: .9rem;
    font-weight: 700;
}
/*default static text css*/
.LightBoldMedium {
    color: #62676e;
    font-size: .9rem;
    font-weight: 600;
}


.xaf-item-editcasestatebutton {
    color: #62676e !important;
    font-size: .9rem !important;
    font-weight: 600 !important;
}

.xaf-item-editcasestatusbutton {
    color: #62676e !important;
    font-size: .9rem !important;
    font-weight: 600 !important;
}

.xaf-item-startdateshowhistorybutton {
    color: #62676e !important;
    font-size: .9rem !important;
    font-weight: 600 !important;
}

.xaf-item-employmentstatushistorybutton {
    color: #62676e !important;
    font-size: .9rem !important;
    font-weight: 600 !important;
}

.uvtext {
    font-weight: bold;
    font-size: medium;
    padding-left: 9.5px;
}

.uvtextdiv {
    margin-left: 72px;
    text-align: right;
    width: 180px;
}

.uvlinkbtn {
    margin-left: 0;
    padding-left: 0;
    color: #0078d7;
}

    .uvlinkbtn:hover,
    .uvlinkbtn:focus,
    .uvlinkbtn:active {
        color: #0078d7;
        background-color: transparent;
        border-color: transparent;
        box-shadow: none;
        text-decoration: underline;
    }

.IntegrationDisable {
    background-color: #CCCCFF;
}

.IntegrationImportant {
    background-color: #E6B8B7;
}


.SearchMemberCaptionCSS {
    font-size: .9rem;
    font-weight: 600;
    padding-top: 0.5rem;
}

.descriptor-description {
    white-space: nowrap !important;
    word-break: keep-all !important;
    max-height: 8.4em !important;
    overflow: hidden;
    text-overflow: ellipsis;
    height: 100%;
}

/* Message: Bannière environnement*/
.EnvironmentBanner {
    background-color: red;
    text-align: center;
    font-weight: bold;
}

@media only screen and (max-width: 575px) {
    body,
    .app {
        top: auto;
    }
}

.CustomHeaderCss {
    color: #0085AD !important;
    font-weight: 600;
    font-size: 1rem;
    overflow-x: visible;
}

.view-caption-root {
    color: #0085AD !important;
}

/*HEADER: Adjust individual columns by td:nth-child(#)*/
.case-table-header td {
    font-size: .75rem;
    font-weight: 500;
    word-wrap: break-word;
    white-space: normal;
    opacity: .95;
    color: #0085AD;
    vertical-align: top;
    border-right: .25rem solid transparent;
    border-left: 0rem solid transparent;
    text-indent: 0rem;
}

.case-table-header-columns td:nth-child(1) {
    font-size: .8rem;
    font-weight: 600;
    min-width: 7.8rem;
    max-width: 7.8rem;
    opacity: 1;
}

.case-table-header-columns td:nth-child(2) {
    min-width: 6.5rem;
    max-width: 6.5rem;
}

.case-table-header-columns td:nth-child(3) {
    max-width: 6.5rem;
    min-width: 6.5rem;
}

.case-table-header-columns td:nth-child(4) {
    min-width: 6.5rem;
    max-width: 6.5rem;
}

.case-table-header-columns td:nth-child(5) {
    min-width: 8rem;
    max-width: 8rem;
}

.case-table-header-columns td:nth-child(6) {
    min-width: 11.2rem;
    max-width: 11.2rem;
}

.case-table-header-columns td:nth-child(7) {
    min-width: 9rem;
    max-width: 9rem;
}

.case-table-header-columns td:nth-child(8) {
    min-width: 15rem;
    max-width: 15rem;
}

.case-table-header-columns td:nth-child(9) {
    min-width: 14.2rem;
    max-width: 14.2rem;
}

.member-phone-header-columns td:nth-child(1) {
    font-size: .8rem;
    font-weight: 600;
    min-width: 7.8rem;
    max-width: 7.8rem;
    opacity: 1;
}

/*Pour permettre a la date de termination d'entrer sur une seule ligne. Ne doit pas etre override par la classe nth-child*/
.terminaisonColonne {
    min-width: 10rem !important;
}

/*Pour permettre au display name dans disabilityMemberPhone de s'afficher sur une seule ligne*/
.member-phone-header-columns td:nth-child(2) {
    min-width: 15rem;
    max-width: 15rem;
}

table, .table {
    margin-bottom: 0px;
}

.disabityCaseSaveButton {
    border-color: rgb(206, 212, 218) !important;
}

    .disabityCaseSaveButton:disabled {
        background-color: whitesmoke !important;
        color: rgb(33, 37, 41);
        opacity: 0.4;
    }

    .disabityCaseSaveButton:not([disabled]) {
        background-color: rgb(236 255 37) !important;
        color: rgb(33, 37, 41);
    }


.pdftronSaveButton:not([disabled]) {
    background-color: rgb(236 255 37) !important;
}

.non-clickable-row .xaf-action {
    pointer-events: none;
}

.about-info {
    opacity: 1 !important;
}

.dxbs-grid .dxbs-grid-table > tbody > tr:not(:last-child) > .dxbs-grid-table-border-bottom, .dxbs-grid .dxbs-grid-table > tfoot > tr:not(:last-child) > .dxbs-grid-table-border-bottom, .dxbs-grid .dxbs-grid-table > thead > tr:not(:last-child) > .dxbs-grid-table-border-bottom {
    background: none;
    border-bottom-width: inherit;
}

.dxbl-grid-header {
    background-color: white !important;
}

nav:has(.dxbl-active .xaf-item-disabilitycasetab) + div {
    overflow-y: scroll;
    max-height: 485px;
}

.gridEditorDisabilityCase {
    max-height: 500px !important;
}

/*adjustment of listviews*/
.gridEditor td {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.gridEditorBenefitItem th {
    pointer-events: none;
}

.dxbs-grid .dxbs-grid-table > * > tr {
    border: 1px solid #e5e5e5;
}

.xaf-alerts-stack-inner {
    height: 100%;
    width: 74rem;
}

.xaf-alert-text-container {
    max-height: 100%;
}

.xaf-alert-message {
    max-height: 100%;
    overflow-y: auto;
    white-space: pre-wrap;
}

    .xaf-alert-message::-webkit-scrollbar-track {
        -webkit-box-shadow: inset 0 0 10px rgba(0, 0, 0, 0.3);
        background-color: lightgray;
    }

    .xaf-alert-message::-webkit-scrollbar {
        width: .5rem;
    }

    .xaf-alert-message::-webkit-scrollbar-thumb {
        background-color: #fff;
        box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
    }

        .xaf-alert-message::-webkit-scrollbar-thumb:hover {
            background-color: #e5e5e5;
        }


/*main menu bar buttons*/
.dxbl-btn-toolbar .dxbl-toolbar-item > .dxbl-btn,
.dxbl-btn-toolbar .dxbl-toolbar-item input {
    padding: 6px 12px 6px 12px;
}

.dxbl-btn-toolbar .dxbl-btn-group .dxbl-btn,
.dxbl-btn-toolbar .dxbl-btn-split {
    border-radius: 0.25rem;
    box-shadow: 0px 1px 4px 0px rgb(0 0 0 / 20%);
}

.sidebar .xaf-nav-link {
    text-decoration: none !important;
}

/*Filter button funnel and filter column funnels*/
.dxbl-grid-filter-menu-funnel-btn {
    color: #dee2e6 !important;
    opacity: .8 !important;
}

.dxbl-grid-filter-menu-funnel-btn-filled {
    opacity: 1 !important;
    color: #DB7093 !important;
}

.dxbl-grid-sort-desc > .dxbl-image {
    color: #DB7093 !important;
}

.dxbl-grid-sort-asc > .dxbl-image {
    color: #DB7093 !important;
}

.CustomFilterEditorCss > .dxbl-image {
    filter: brightness(0) saturate(100%) invert(75%) sepia(22%) saturate(6633%) hue-rotate(298deg) brightness(93%) contrast(84%) opacity(20%);
}

.contains-filter.CustomFilterEditorCss > .dxbl-image {
    filter: brightness(0) saturate(100%) invert(75%) sepia(22%) saturate(6633%) hue-rotate(298deg) brightness(93%) contrast(84%);
}

.dxbl-text-edit.dxbl-disabled::before, .dxbl-text-edit:disabled::before {
    opacity: 5%;
}

.header {
    min-height: fit-content;
}

.dxbl-btn-primary {
    --dxbl-btn-color: #0085ad;
    --dxbl-btn-bg: #fff;
    --dxbl-btn-border-color: #ced4da;
    --dxbl-btn-disabled-bg: #fff;
    --dxbl-btn-disabled-color: #0085ad;
    --dxbl-btn-disabled-border-color: #ced4da;
    --dxbl-btn-disabled-opacity: 0.4;
    --dxbl-btn-disabled-background: linear-gradient(rgba(255, 255, 255, 0.4), rgba(255, 255, 255, 0.4));
    --dxbl-btn-box-shadow: none;
    --dxbl-btn-root-bg: #fff;
    --dxbl-btn-hover-color: #0085ad;
    --dxbl-btn-hover-bg: transparent;
    --dxbl-btn-hover-background: none;
    --dxbl-btn-hover-border-color: #ced4da;
    --dxbl-btn-active-color: #0085ad;
    --dxbl-btn-active-bg: transparent;
    --dxbl-btn-active-border-color: #ced4da;
    --dxbl-btn-active-background: none;
    --dxbl-btn-focus-shadow-color: rgba(254, 113, 9, 0.5);
    --dxbl-btn-focus-shadow-spread: 0.125rem;
    --dxbl-btn-focus-shadow-blur: 0rem;
}

.dxbl-btn-secondary {
    color: #0085ad;
    --dxbl-btn-hover-color: #0085ad;
}

.dxbl-btn-toolbar > .dxbl-btn-group > .dxbl-toolbar-item > .dxbl-btn.dxbl-btn-secondary:not(.dxbl-disabled):not(:disabled):hover {
    color: #0085ad;
}

.dxbl-accordion {
    --dxbl-accordion-group-item-selection-color: #fe7109;
}

.convertToPdfCss {
    display: none !important;
}